init.h(3)

NAME
init.h - log4c constructors and destructors

SYNOPSIS

#include <log4c/defs.h>
#include <stdio.h>

  Functions

int log4c_init (void)
int log4c_fini (void)

Detailed Description

log4c constructors and destructors

Function Documentation

  int log4c_fini (void)
destructor

Returns:
    0 for success

References log4c_rc.

  int log4c_init (void)
constructor

Returns:
    0 for success

References log4c_appender_get(), log4c_appender_type_set(), log4c_category_get(), log4c_category_set_appender(), log4c_category_set_priority(), log4c_layout_type_set(), log4c_load(), log4c_priority_to_int(), and log4c_rollingpolicy_type_set().

Author

Generated automatically by Doxygen for log4c from the source code.